import { StyleSheet } from 'react-native'
import appColors from '../../../theme/appColors'
import appFonts from '../../../theme/appFonts'
import { fontSizes, windowWidth } from '../../../theme/appConstant'
import { windowHeight } from '../../../theme/appConstant'

const SIZE = windowHeight(7.5)
const OUTER_SIZE = SIZE + windowHeight(1.2)

const styles = StyleSheet.create({
  con: {
    width: '100%',
    paddingVertical: windowHeight(1.2),
    borderRadius: windowWidth(5),
    borderWidth: windowWidth(0.45),
  },
  text: {
    color: appColors.white,
    fontSize: fontSizes.FONT4,
    fontFamily: appFonts.medium,
  },
  container: {
    alignSelf: 'center',
    position: 'absolute',
    bottom: windowHeight(5),
    height: SIZE * 3,
    width: SIZE * 3,
    justifyContent: 'center',
    alignItems: 'center',
    zIndex: 1,
  },
  pulse: {
    position: 'absolute',
    height: SIZE,
    width: SIZE,
    borderRadius: SIZE / 2,
    zIndex: 0,
  },
  staticOuterCircle: {
    position: 'absolute',
    height: OUTER_SIZE,
    width: OUTER_SIZE,
    borderRadius: OUTER_SIZE / 2,
    backgroundColor: appColors.primary,
    zIndex: 1,
  },
  button: {
    height: SIZE,
    width: SIZE,
    borderRadius: SIZE / 2,
    backgroundColor: appColors.primary,
    justifyContent: 'center',
    alignItems: 'center',
    borderColor: 'white',
    borderWidth: windowHeight(0.15),
    zIndex: 2,
  },
  contentContainer: {
    flex: 1,
    paddingHorizontal: 16,
    paddingTop: 3,
    height: windowHeight(80),
  },
  contentContainer1: {
    paddingHorizontal: windowWidth(1),
    paddingTop: 3,
    borderWidth: windowWidth(0.3),
    borderRadius: windowWidth(5),
    marginHorizontal: windowWidth(5),
    maxHeight: windowHeight(60),
    marginBottom: windowHeight(10),
  },
  noRideContainer: {
    flex: 1,
    alignItems: 'center',
  },
  noRideImg: {
    width: windowWidth(70),
    height: windowWidth(70),
    marginTop: windowHeight(2),
  },
  noRideText: {
    fontFamily: appFonts.medium,
    fontSize: fontSizes.FONT4,
    color: appColors.secondaryFont,
    textAlign: 'center',
  },
  sosImage: {
    height: windowHeight(2.5),
    width: windowHeight(2.5),
    resizeMode: 'contain',
  },
  sideLine: {
    height: windowHeight(3),
    width: windowWidth(0.3),
    backgroundColor: appColors.white,
    marginHorizontal: windowWidth(3),
  },
  modalOverlay: {
    flex: 1,
    backgroundColor: 'rgba(0,0,0,0.6)',
    justifyContent: 'center',
    alignItems: 'center',
  },
  modalContent: {
    width: '85%',
    backgroundColor: 'white',
    borderRadius: windowHeight(1),
    padding: windowHeight(3),
    alignItems: 'center',
  },
  title: {
    fontSize: fontSizes.FONT4,
    fontWeight: 'bold',
    marginBottom: windowHeight(1),
  },
  message: {
    fontSize: fontSizes.FONT3SMALL,
    marginBottom: windowHeight(3),
    textAlign: 'center',
  },
  buttonModel: {
    backgroundColor: appColors.primary,
    borderRadius: windowHeight(1),
    padding: windowHeight(1.5),
  },
  buttonTextModel: {
    color: appColors.white,
    fontFamily: appFonts.medium,
  },
  label: {
    fontSize: windowWidth(3.5),
    fontFamily: appFonts.regular,
    marginHorizontal: windowWidth(1.3),
  },
  box: {
    height: windowHeight(6),
    width: '90%',
    marginTop: windowHeight(3),
    alignSelf: 'center',
    borderRadius: windowWidth(25),
    justifyContent: 'space-between',
    alignItems: 'center',
  },
  tabItem: {
    flex: 1,
    justifyContent: 'center',
    alignItems: 'center',
    height: '100%',
  },
  activeTab: {
    backgroundColor: '#33A852',
  },
  tabText: {
    color: '#808080',
    fontWeight: '500',
  },
  activeText: {
    color: appColors.white,
    fontWeight: '700',
  },
  leftRounded: {
    borderTopLeftRadius: windowWidth(25),
    borderBottomLeftRadius: windowWidth(25),
  },
  rightRounded: {
    borderTopRightRadius: windowWidth(25),
    borderBottomRightRadius: windowWidth(25),
  },
  smallBox: {
    height: windowHeight(6),
    width: '50%',
    backgroundColor: 'blue',
    alignSelf: 'center',
    borderTopLeftRadius: windowWidth(25),
    borderBottomLeftRadius: windowWidth(25),
    justifyContent: 'center',
    alignItems: 'center',
  },
  smallBox1: {
    height: windowHeight(6),
    width: '50%',
    alignSelf: 'center',
    justifyContent: 'center',
    alignItems: 'center',
    borderBottomEndRadius: windowWidth(25),
    borderTopRightRadius: windowWidth(25),
  },
  status: {
    fontFamily: appFonts.semiBold,
    fontSize: fontSizes.FONT4,
  },
})
export default styles
